Get Client

  • GET
  • /oauth2
  • /register
  • /:client_id

Read client configuration

Request

URL PARAMETERS
client_idrequiredstring
Client identifier

Example: "123-api-buddy-client"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
client_idstring
client_secretstring
registration_access_tokenstring
registration_client_uristring
client_id_issued_atinteger
client_secret_expires_atinteger
client_namestring
redirect_urisstring[]
grant_typesstring[]
response_typesstring[]
token_endpoint_auth_methodstring
client_uristring
logo_uristring
scopestring
contactsstring[]
tos_uristring
policy_uristring
jwks_uristring
software_idstring
software_versionstring
application_typestring
sector_identifier_uristring
subject_typestring
id_token_signed_response_algstring
userinfo_signed_response_algstring
request_object_signing_algstring
descriptionstring
token_expires_ininteger

Last modified on May 19, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/oauth2/register/:client_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "client_id": "123-api-buddy-client", "registration_client_uri": "https://api.buddy.works/oauth2/register/123-api-buddy-client", "client_id_issued_at": 1675123456, "client_secret_expires_at": 0, "client_name": "My Application", "redirect_uris": [ "https://client.example.org/callback" ], "grant_types": [ "authorization_code", "refresh_token", "client_credentials" ], "response_types": [ "code" ], "token_endpoint_auth_method": "client_secret_basic", "client_uri": "https://client.example.org", "description": "My OAuth 2.0 application", "token_expires_in": 3600 }
STATUS
200 OK